# Uses of Class
org.bukkit.command.Command

Packages that use Command
Package
Description
co.aikar.timings
com.destroystokyo.paper.exception
org.bukkit.command
Classes relating to handling specialized non-chat player input.
org.bukkit.command.defaults
Commands for emulating the Minecraft commands and other necessary ones for use by a Bukkit implementation.
org.bukkit.help
Classes used to manipulate the default command and topic assistance system.
org.bukkit.plugin.java
Classes for handling `plugins` written in java.

## Uses of Command in co.aikar.timings

Subclasses of Command in co.aikar.timings
Modifier and Type
Class
Description
`class`
`TimingsCommand`
Methods in co.aikar.timings with parameters of type Command
Modifier and Type
Method
Description
`static @NotNull Timing`
TimingsManager.`getCommandTiming(@Nullable String pluginName, @NotNull Command command)`
Due to access restrictions, we need a helper method to get a Command TimingHandler with String group

## Uses of Command in com.destroystokyo.paper.exception

Methods in com.destroystokyo.paper.exception that return Command
Modifier and Type
Method
Description
`Command`
ServerCommandException.`getCommand()`
Gets the command which threw the exception
Constructors in com.destroystokyo.paper.exception with parameters of type Command
Modifier
Constructor
Description
`protected`
`ServerCommandException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, Command command, CommandSender commandSender, String[] arguments)`
``
`ServerCommandException(String message, Throwable cause, Command command, CommandSender commandSender, String[] arguments)`
``
`ServerCommandException(Throwable cause, Command command, CommandSender commandSender, String[] arguments)`
`protected`
`ServerTabCompleteException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, Command command, CommandSender commandSender, String[] arguments)`
``
`ServerTabCompleteException(String message, Throwable cause, Command command, CommandSender commandSender, String[] arguments)`
``
`ServerTabCompleteException(Throwable cause, Command command, CommandSender commandSender, String[] arguments)`

## Uses of Command in org.bukkit.command

Subclasses of Command in org.bukkit.command
Modifier and Type
Class
Description
`class`
`FormattedCommandAlias`
`class`
`MultipleCommandAlias`
Represents a command that delegates to one or more other commands
`final class`
`PluginCommand`
Represents a `Command` belonging to a plugin
Fields in org.bukkit.command with type parameters of type Command
Modifier and Type
Field
Description
`protected final Map<String,Command>`
SimpleCommandMap.`knownCommands`
Methods in org.bukkit.command that return Command
Modifier and Type
Method
Description
`@Nullable Command`
CommandMap.`getCommand(@NotNull String name)`
Gets the command registered to the specified name
`@Nullable Command`
SimpleCommandMap.`getCommand(@NotNull String name)`
`@NotNull Command[]`
MultipleCommandAlias.`getCommands()`
Gets the commands associated with the multi-command alias.
`@NotNull Command`
Command.`setAliases(@NotNull List<String> aliases)`
Sets the list of aliases to request on registration for this command.
`@NotNull Command`
Command.`setDescription(@NotNull String description)`
Sets a brief description of this command.
`@NotNull Command`
Command.`setPermissionMessage(@Nullable String permissionMessage)`
Deprecated.
use `permissionMessage(net.kyori.adventure.text.Component)`
`@NotNull Command`
Command.`setUsage(@NotNull String usage)`
Sets the example usage of this command
Methods in org.bukkit.command that return types with arguments of type Command
Modifier and Type
Method
Description
`@NotNull Collection<Command>`
SimpleCommandMap.`getCommands()`
`Map<String,Command>`
CommandMap.`getKnownCommands()`
Return a Map of known commands
`@NotNull Map<String,Command>`
SimpleCommandMap.`getKnownCommands()`
`static @NotNull List<Command>`
PluginCommandYamlParser.`parse(@NotNull Plugin plugin)`
Methods in org.bukkit.command with parameters of type Command
Modifier and Type
Method
Description
`boolean`
CommandExecutor.`onCommand(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args)`
Executes the given command, returning its success.
`@Nullable List<String>`
TabCompleter.`onTabComplete(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args)`
Requests a list of possible completions for a command argument.
`boolean`
CommandMap.`register(@NotNull String label, @NotNull String fallbackPrefix, @NotNull Command command)`
Registers a command.
`boolean`
CommandMap.`register(@NotNull String fallbackPrefix, @NotNull Command command)`
Registers a command.
`boolean`
SimpleCommandMap.`register(@NotNull String label, @NotNull String fallbackPrefix, @NotNull Command command)`
Registers a command.
`boolean`
SimpleCommandMap.`register(@NotNull String fallbackPrefix, @NotNull Command command)`
Registers a command.
Method parameters in org.bukkit.command with type arguments of type Command
Modifier and Type
Method
Description
`void`
CommandMap.`registerAll(@NotNull String fallbackPrefix, @NotNull List<Command> commands)`
Registers all the commands belonging to a certain plugin.
`void`
SimpleCommandMap.`registerAll(@NotNull String fallbackPrefix, @NotNull List<Command> commands)`
Registers all the commands belonging to a certain plugin.
Constructors in org.bukkit.command with parameters of type Command
Modifier
Constructor
Description
``
`MultipleCommandAlias(@NotNull String name, @NotNull Command[] commands)`

## Uses of Command in org.bukkit.command.defaults

Subclasses of Command in org.bukkit.command.defaults
Modifier and Type
Class
Description
`class`
`BukkitCommand`
`class`
`HelpCommand`
`class`
`PluginsCommand`
`class`
`ReloadCommand`
`class`
`VersionCommand`

## Uses of Command in org.bukkit.help

Classes in org.bukkit.help with type parameters of type Command
Modifier and Type
Interface
Description
`interface`
`HelpTopicFactory<TCommand extends Command>`
A HelpTopicFactory is used to create custom `HelpTopic` objects from commands that inherit from a common base class or have executors that inherit from a common base class.
Fields in org.bukkit.help declared as Command
Modifier and Type
Field
Description
`protected Command`
GenericCommandHelpTopic.`command`
Constructors in org.bukkit.help with parameters of type Command
Modifier
Constructor
Description
``
`GenericCommandHelpTopic(@NotNull Command command)`

## Uses of Command in org.bukkit.plugin.java

Methods in org.bukkit.plugin.java with parameters of type Command
Modifier and Type
Method
Description
`boolean`
JavaPlugin.`onCommand(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args)`
Executes the given command, returning its success.
`@Nullable List<String>`
JavaPlugin.`onTabComplete(@NotNull CommandSender sender, @NotNull Command command, @NotNull String alias, @NotNull String[] args)`
Requests a list of possible completions for a command argument.